
package com.tmerclub.cloud.common.bean;

/**
 * 阿里视频直播配置
 * @author TRACK
 */
public class AliLive {

    /**
     * 推流域名
     */
    private String pushDomain;

    /**
     * 播流域名
     */
    private String pullDomain;

    /**
     * 应用名称
     */
    private String appName;

    /**
     * 推流鉴权url key
     */
    private String pushAuthKey;

    /**
     * 播流鉴权url key
     */
    private String pullAuthKey;

    /**
     * 是否配置https 1是0否
     */
    private Integer isHttps;

    public String getPushDomain() {
        return pushDomain;
    }

    public void setPushDomain(String pushDomain) {
        this.pushDomain = pushDomain;
    }

    public String getPullDomain() {
        return pullDomain;
    }

    public void setPullDomain(String pullDomain) {
        this.pullDomain = pullDomain;
    }

    public String getAppName() {
        return appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public String getPushAuthKey() {
        return pushAuthKey;
    }

    public void setPushAuthKey(String pushAuthKey) {
        this.pushAuthKey = pushAuthKey;
    }

    public String getPullAuthKey() {
        return pullAuthKey;
    }

    public void setPullAuthKey(String pullAuthKey) {
        this.pullAuthKey = pullAuthKey;
    }

    public Integer getIsHttps() {
        return isHttps;
    }

    public void setIsHttps(Integer isHttps) {
        this.isHttps = isHttps;
    }

    @Override
    public String toString() {
        return "AliLive{" +
                "pushDomain='" + pushDomain + '\'' +
                ", pullDomain='" + pullDomain + '\'' +
                ", appName='" + appName + '\'' +
                ", pushAuthKey='" + pushAuthKey + '\'' +
                ", pullAuthKey='" + pullAuthKey + '\'' +
                ", isHttps=" + isHttps +
                '}';
    }
}
